%define soversion 1

Name:           libcxl
Version:        1.7
Release:        1%{?dist}
Summary:        Coherent accelerator interface
License:        ASL 2.0
URL:            https://github.com/ibm-capi/libcxl
Source0:        https://github.com/ibm-capi/libcxl/archive/v%{version}.tar.gz
Source1:        cxl.h
Patch0:         libcxl-1.7-makefile.patch
ExclusiveArch:  %{power64}
BuildRequires:  gcc

%description
The coherent accelerator interface is designed to allow the coherent
connection of accelerators (FPGAs and other devices) to a POWER system.
Coherent in this context means that the accelerator and CPUs can both access
system memory directly and with the same effective addresses. IBM refers to
this as the Coherent Accelerator Processor Interface (CAPI). In the Linux
world it is referred to by the name CXL to avoid confusion with the ISDN
CAPI subsystem.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains header file and man pages for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .make
mkdir -p include/misc
cp -p %SOURCE1 include/misc/

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -fPIC" V=1
mkdir -p build/man3
cp -p man3/*.3 build/man3

%install
make DESTDIR=%{buildroot} prefix=/usr install
mkdir -p $RPM_BUILD_ROOT%{_mandir}
cp -a build/man3 $RPM_BUILD_ROOT%{_mandir}/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README.md
%{_libdir}/libcxl.so.*

%files devel
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/libcxl.so

%changelog
* Tue Jun 19 2018 Sinny Kumari <skumari@redhat.com> - 1.7-1
- Rebase to v1.7
- Resolves: BZ#1523861
- Remove libcxl_create_soname_link.patch, part of upstream

* Tue Jun 14 2016 Sinny Kumari <skumari@rehat.com> - 1.4-1
- Related: BZ#1305080
- Rebase to v1.4

* Wed May 25 2016 Sinny Kumari <skumari@redhat.com> - 1.3-5
- Related: BZ#1305080 - Initial import of libcxl in RHEL 7.3

* Thu Mar 17 2016 michel normand <normand@linux.vnet.ibm.com> 1.3-4
- do cp -p of man page in build section, and add empty lines below.
- this is the initial version before git commit.

* Fri Mar 11 2016 michel normand <normand@linux.vnet.ibm.com> 1.3-3
- add libcxl.so in devel package

* Thu Mar 03 2016 michel normand <normand@linux.vnet.ibm.com> 1.3-2
- do not use releease in VERS_LIB

* Fri Jan 29 2016 michel normand <normand@linux.vnet.ibm.com> 1.3-1
- new package and spec file of libcxl from upstream
  url: https://github.com/ibm-capi/libcxl
